Browse Source

update && add hashcat

BuildTools 2 years ago
parent
commit
4c7b345ae8

+ 1 - 1
build_cube.sh

@@ -1,6 +1,6 @@
 #!/bin/bash
 set -e
-Version=6.8
+Version=7.0
 Cuda=NO
 ZFS=NO
 Drivers=AMD

BIN
options/.john.sh.swp


+ 0 - 0
options/handbrake.sh → options/build_handbrake.sh


+ 53 - 0
options/hashcat.sh

@@ -0,0 +1,53 @@
+#!/bin/bash
+version=1.0
+set -e
+function print_centered {
+     [[ $# == 0 ]] && return 1
+
+     declare -i TERM_COLS="$(tput cols)"
+     declare -i str_len="${#1}"
+     [[ $str_len -ge $TERM_COLS ]] && {
+          echo "$1";
+          return 0;
+     }
+
+     declare -i filler_len="$(( (TERM_COLS - str_len) / 2 ))"
+     [[ $# -ge 2 ]] && ch="${2:0:1}" || ch=" "
+     filler=""
+     for (( i = 0; i < filler_len; i++ )); do
+          filler="${filler}${ch}"
+     done
+
+     printf "%s%s%s" "$filler" "$1" "$filler"
+     [[ $(( (TERM_COLS - str_len) % 2 )) -ne 0 ]] && printf "%s" "${ch}"
+     printf "\n"
+
+     return 0
+}
+print_centered "$(tput setaf 11)"
+print_centered ".___.__  .______  .________.___.__  ._______ .______  _____._"
+print_centered ":   |  \ :      \ |    ___/:   |  \ :_.  ___\:      \ \__ _:|"
+print_centered "|   :   ||   .   ||___    \|   :   ||  : |/\ |   .   |  |  :|"
+print_centered "|   .   ||   :   ||       /|   .   ||    /  \|   :   |  |   |"
+print_centered "|___|   ||___|   ||__:___/ |___|   ||. _____/|___|   |  |   |"
+print_centered "    |___|    |___|   :         |___| :/          |___|  |___|"
+print_centered "                                     :                       "
+echo -n -e "$(tput setaf 7)"
+print_centered "HashCat installer Version:$version"
+
+sudo apt-get install libbz2-dev libpcap-dev -y
+sudo apt-get -y install ocl-icd-opencl-dev opencl-headers pocl-opencl-icd
+cd /home/wareck/
+if [ ! -d password ];then mkdir password ;fi
+cd /home/wareck/password
+if [ ! -d hashcat ]
+then
+git clone https://github.com/hashcat/hashcat.git
+cd hashcat
+else
+cd hashcat
+git pull
+fi
+make -j4
+echo ""
+echo "Done."

+ 5 - 3
options/john.sh

@@ -1,4 +1,5 @@
 #!/bin/bash
+version=1.3
 set -e
 function print_centered {
      [[ $# == 0 ]] && return 1
@@ -32,14 +33,15 @@ print_centered "|     :  ||     :  ||   .   ||   |   |"
 print_centered " \__. __/  \_. ___/ |___|   ||___|   |"
 print_centered "    :/       :/         |___|    |___|"
 print_centered "    :        :                        "
-print_centered "                 "
 print_centered "$(tput setaf 7)"
-
+print_centered "Version $version"
 
 sudo apt-get install libbz2-dev libpcap-dev -y
 sudo apt-get -y install ocl-icd-opencl-dev opencl-headers pocl-opencl-icd
 cd /home/wareck/
+if [ ! -d password ];then mkdir password ;fi
+cd /home/wareck/password/
 git clone https://github.com/openwall/john.git
-cd /home/wareck/john/src
+cd /home/wareck/password/john/src
 ./configure
 make -j4

+ 0 - 0
options/check_nvidia.sh → options/tools/check_nvidia.sh


+ 0 - 0
options/logitech_unify.sh → options/tools/logitech_unify.sh